gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.Selectors.ColorSelectionDialog

Contents

- Detail
- Class Hierarchy
- Types
- Constructors
- Methods

Description

A standard dialog box for selecting a color

Synopsis

- data ColorSelectionDialog
- class DialogClass o => ColorSelectionDialogClass o
- castToColorSelectionDialog :: GObjectClass obj => obj -> ColorSelectionDialog
- gTypeColorSelectionDialog :: GType
- toColorSelectionDialog :: ColorSelectionDialogClass o => o -> ColorSelectionDialog
- colorSelectionDialogNew :: GlibString string => string -> IO ColorSelectionDialog

# Detail

The `ColorSelectionDialog` provides a standard dialog which allows the user to select a color much like the `FileSelection` provides a standard dialog for file selection.

# Class Hierarchy

    | GObject
    | +----Object
    | +----Widget
    | +----Container
    | +----Bin
    | +----Window
    | +----Dialog
    | +----ColorSelectionDialog

# Types

data ColorSelectionDialog Source #

#### Instances

Instances details

Eq ColorSelectionDialog Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: ColorSelectionDialog -> ColorSelectionDialog -> Bool Source # (/=) :: ColorSelectionDialog -> ColorSelectionDialog -> Bool Source #
Ord ColorSelectionDialog Source # |

Instance details

Defined in Graphics.UI.Gtk.Types

Methods

compare :: ColorSelectionDialog -> ColorSelectionDialog -> Ordering Source #

(<) :: ColorSelectionDialog -> ColorSelectionDialog -> Bool Source #

(<=) :: ColorSelectionDialog -> ColorSelectionDialog -> Bool Source #

(>) :: ColorSelectionDialog -> ColorSelectionDialog -> Bool Source #

(>=) :: ColorSelectionDialog -> ColorSelectionDialog -> Bool Source #

max :: ColorSelectionDialog -> ColorSelectionDialog -> ColorSelectionDialog Source #

min :: ColorSelectionDialog -> ColorSelectionDialog -> ColorSelectionDialog Source #

GObjectClass ColorSelectionDialog Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: ColorSelectionDialog -> GObject Source # unsafeCastGObject :: GObject -> ColorSelectionDialog Source #
BinClass ColorSelectionDialog Source # |
Instance details Defined in Graphics.UI.Gtk.Types
ColorSelectionDialogClass ColorSelectionDialog Source # |
Instance details Defined in Graphics.UI.Gtk.Types
ContainerClass ColorSelectionDialog Source # |
Instance details Defined in Graphics.UI.Gtk.Types
DialogClass ColorSelectionDialog Source # |
Instance details Defined in Graphics.UI.Gtk.Types
WidgetClass ColorSelectionDialog Source # |
Instance details Defined in Graphics.UI.Gtk.Types
WindowClass ColorSelectionDialog Source # |
Instance details Defined in Graphics.UI.Gtk.Types

class DialogClass o => ColorSelectionDialogClass o Source #

#### Instances

Instances details

ColorSelectionDialogClass ColorSelectionDialog Source # |
Instance details Defined in Graphics.UI.Gtk.Types

castToColorSelectionDialog :: GObjectClass obj => obj -> ColorSelectionDialog Source #

gTypeColorSelectionDialog :: GType Source #

toColorSelectionDialog :: ColorSelectionDialogClass o => o -> ColorSelectionDialog Source #

# Constructors

colorSelectionDialogNew Source #

Arguments

:: GlibString string |
=> string | `title` - a string containing the title text for the dialog.
-> IO ColorSelectionDialog |

Creates a new `ColorSelectionDialog`.

# Methods